org.wso2.carbon.webapp.mgt

## Class WebappMetadata

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.WebappMetadata

-     public class WebappMetadata
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppVersion()`
    `String` | `getContext()`
    `String` | `getContextPath()`
    `String` | `getDisplayName()`
    `String` | `getFaultException()`
    `String` | `getHostName()`
    `long` | `getLastModifiedTime()`
    `String` | `getServiceListPath()`
    `String` | `getServletContext()`
    `String` | `getState()`
    `WebappStatistics` | `getStatistics()`
    `String` | `getWebappFile()`
    `String` | `getWebappKey()`
    `String` | `getWebappType()`
    `boolean` | `isCAppArtifact()` get isCAppArtifact property
    `boolean` | `isFaulty()`
    `boolean` | `isRunning()`
    `boolean` | `isStarted()`
    `void` | `setAppVersion(String appVersion)`
    `void` | `setCAppArtifact(boolean isCAppArtifact)` This will be the place to enable service as CApp artifact
    `void` | `setContext(String context)`
    `void` | `setContextPath(String contextPath)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setFaultException(String faultException)`
    `void` | `setFaulty(boolean faulty)`
    `void` | `setHostName(String hostName)`
    `void` | `setLastModifiedTime(long lastModifiedTime)`
    `void` | `setRunning(boolean running)`
    `void` | `setServiceListPath(String serviceListPath)`
    `void` | `setServletContext(String servletContext)`
    `void` | `setStarted(boolean started)`
    `void` | `setState(String state)`
    `void` | `setStatistics(WebappStatistics statistics)`
    `void` | `setWebappFile(String webappFile)`
    `void` | `setWebappKey(String webappKey)`
    `void` | `setWebappType(String webappType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebappMetadata

          public WebappMetadata()

  - ### Method Detail

    - #### getContext

          public String getContext()

    - #### setContext

          public void setContext(String context)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getWebappFile

          public String getWebappFile()

    - #### setWebappFile

          public void setWebappFile(String webappFile)

    - #### isRunning

          public boolean isRunning()

    - #### setRunning

          public void setRunning(boolean running)

    - #### isStarted

          public boolean isStarted()

    - #### setStarted

          public void setStarted(boolean started)

    - #### getLastModifiedTime

          public long getLastModifiedTime()

    - #### setLastModifiedTime

          public void setLastModifiedTime(long lastModifiedTime)

    - #### getStatistics

          public WebappStatistics getStatistics()

    - #### setStatistics

          public void setStatistics(WebappStatistics statistics)

    - #### isFaulty

          public boolean isFaulty()

    - #### setFaulty

          public void setFaulty(boolean faulty)

    - #### getFaultException

          public String getFaultException()

    - #### setFaultException

          public void setFaultException(String faultException)

    - #### setState

          public void setState(String state)

    - #### getState

          public String getState()

    - #### getWebappType

          public String getWebappType()

    - #### setWebappType

          public void setWebappType(String webappType)

    - #### getServletContext

          public String getServletContext()

    - #### setServletContext

          public void setServletContext(String servletContext)

    - #### getServiceListPath

          public String getServiceListPath()

    - #### setServiceListPath

          public void setServiceListPath(String serviceListPath)

    - #### setAppVersion

          public void setAppVersion(String appVersion)

    - #### getAppVersion

          public String getAppVersion()

    - #### setContextPath

          public void setContextPath(String contextPath)

    - #### getContextPath

          public String getContextPath()

    - #### getHostName

          public String getHostName()

    - #### setHostName

          public void setHostName(String hostName)

    - #### getWebappKey

          public String getWebappKey()

    - #### setWebappKey

          public void setWebappKey(String webappKey)

    - #### isCAppArtifact

          public boolean isCAppArtifact()

      get isCAppArtifact property
      Returns:
        boolean

    - #### setCAppArtifact

          public void setCAppArtifact(boolean isCAppArtifact)

      This will be the place to enable service as CApp artifact
      Parameters:
        `isCAppArtifact` -

Copyright © 2017 WSO2. All rights reserved.